Add a contact to the blacklist
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/contacts/{uuid}/blacklist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Repeated abusive behavior",
"type": "Both",
"is_permanent": true,
"expires_at": "2026-12-31"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/contacts/{uuid}/blacklist"
payload = {
"reason": "Repeated abusive behavior",
"type": "Both",
"is_permanent": True,
"expires_at": "2026-12-31"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reason: 'Repeated abusive behavior',
type: 'Both',
is_permanent: true,
expires_at: '2026-12-31'
})
};
fetch('https://{subdomain}.mihu.ai/api/v1/contacts/{uuid}/blacklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Contact added to blacklist",
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "Blacklisted",
"blacklist": {
"type": "<string>",
"reason": "<string>",
"is_permanent": true,
"expires_at": "2023-11-07T05:31:56Z",
"blacklisted_at": "2023-11-07T05:31:56Z"
}
}
}{
"success": false,
"message": "Contact not found",
"data": [
"<unknown>"
]
}{
"success": false,
"message": "<string>",
"data": [
"<unknown>"
]
}Contacts
Add a contact to the blacklist
Marks the contact as Blacklisted and records the blacklist entry. If the contact is already blacklisted, the existing entry is updated.
POST
/
api
/
v1
/
contacts
/
{uuid}
/
blacklist
Add a contact to the blacklist
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Path Parameters
Body
application/json
Why the contact is being blacklisted (min 3 characters)
Example:
"Repeated abusive behavior"
Available options:
Phone, Email, Both Example:
"Both"
Example:
true
Required when is_permanent is false. Must be after today.
Example:
"2026-12-31"
⌘I